Last Comment Bug 687577 - Extending the selection horizontally followed by vertically doesn't work correctly
: Extending the selection horizontally followed by vertically doesn't work corr...
Status: RESOLVED FIXED
[sourceeditor][orion]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: Firefox 10
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 697407
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-19 12:06 PDT by :Ehsan Akhgari
Modified: 2011-11-02 09:06 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description :Ehsan Akhgari 2011-09-19 12:06:08 PDT
STR:

1. Paste several lines of js inside Scratchpad.
2. Put the caret somewhere near the end, and use Ctrl+Shift+Left to extend the selection.
3. When you have selected a few lines, start pressing Ctrl+Shift+Up.  The selection isn't extended towards up, it seems that part of it are unselected at the bottom.
Comment 1 Mihai Sucan [:msucan] 2011-10-10 13:28:17 PDT
Confirmed. Still a bug in the latest upstream Orion.

Kevin: did you file a bug upstream? If not, I can file it.
Comment 2 Kevin Dangoor 2011-10-12 07:55:48 PDT
I haven't filed this upstream and I'm having trouble reproducing this. If you can see the problem happening, then please do file it upstream.
Comment 3 Mihai Sucan [:msucan] 2011-10-12 13:31:17 PDT
Reported upstream:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=360726

Did some testing on Mac (thanks to Rob!) and on Win7. It seems only Linux users are affected. Fix should be easy.
Comment 4 Mihai Sucan [:msucan] 2011-11-01 05:45:40 PDT
This is now fixed by bug 697407, as well as upstream. QA will verify.
Comment 5 Alex Lakatos[:AlexLakatos] 2011-11-02 09:06:25 PDT
This is VERIFIED on Build identifier: Mozilla/5.0 (X11; Linux i686; rv:10.0a1) Gecko/20111102 Firefox/10.0a1

Note You need to log in before you can comment on or make changes to this bug.